Bug 1565139 - Some expression method definitions can fail with "<Script error>" in a dialog and a stack trace in evm.log
Summary: Some expression method definitions can fail with "<Script error>" in a dialog...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.2
Assignee: Yuri Rudman
QA Contact: Niyaz Akhtar Ansari
URL:
Whiteboard:
Depends On: 1558926
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-09 13:24 UTC by Satoe Imaishi
Modified: 2019-11-19 22:35 UTC (History)
8 users (show)

Fixed In Version: 5.9.2.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1558926
Environment:
Last Closed: 2018-05-07 20:48:06 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1328 None None None 2018-05-07 20:48:31 UTC

Comment 2 CFME Bot 2018-04-09 13:31:11 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/4a2af379cc61523e99bc32b0b0499e3199bdc697
commit 4a2af379cc61523e99bc32b0b0499e3199bdc697
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Thu Apr  5 14:26:27 2018 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Thu Apr  5 14:26:27 2018 -0400

    Merge pull request #17215 from yrudman/remove-temporary-tokens-from-expression-after-substitution

    Fixed error with dialog expression when virtual column involved
    (cherry picked from commit 54589f650f2c4026a43dcf9b4230d77cd7b5d504)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1565139

 lib/miq_expression/subst_mixin.rb | 1 +
 spec/lib/miq_expression/subst_mixin_spec.rb | 12 +
 2 files changed, 13 insertions(+)

Comment 6 errata-xmlrpc 2018-05-07 20:48:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1328


Note You need to log in before you can comment on or make changes to this bug.